export type PropConfig = string | [string, string | null, boolean?];

export type BoxPropConfig = {
  propName: string;
  classPrefix: string | null;
  variants: boolean;
};

export type RiverConfig = {
  prefix: string;
  boxProps: {
    parser: (attribute: string, value: any) => string[];
    list: string[];
  };
};
